Bug 222945 - dual video card config doesn't work (No matching Device section for instance)
dual video card config doesn't work (No matching Device section for instance)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 17:44 EST by Bryan Christ
Modified: 2009-07-14 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from failing configuration (24.00 KB, text/plain)
2007-01-16 17:45 EST, Bryan Christ
no flags Details
The working xorg.conf file (single head) (1.05 KB, text/plain)
2007-01-16 17:47 EST, Bryan Christ
no flags Details
The broken xorg.conf file generated by system-config-display (dual head) (1.75 KB, text/plain)
2007-01-16 17:47 EST, Bryan Christ
no flags Details

  None (edit)
Description Bryan Christ 2007-01-16 17:44:48 EST
Description of problem:

In single head (integrated Intel 915) configuration, video works fine.  When the
same system is reconfigured for dual head (integrated Intel + Rage 128) using
system-config-display, X fails to start.  The error messages given are:

(WW) R128: No matching Device section for instance (BusID PCI:5:9:0) found
(EE) Screen 1 deleted because of no matching config section

Version-Release number of selected component (if applicable):

X Window System Version 7.1.1

How reproducible:

Every time.


Steps to Reproduce:
1.  Install FC6 on HP Compaq d530 with Integrated Intel 915 graphics
2.  Update the system with latest xorg packages via yum
3.  Single monitor configuration works fine.
4.  Install a Rage 128 PCI card (my card All-In-Wonder Rage 128 16MB)
5.  Run system-config-display.
6.  Configure system to use the ATI card as the second head and individual desktops.
7.  Restart X
  
Actual results:

X fails to start

Expected results:

2 individual desktops

Additional info:
Comment 1 Bryan Christ 2007-01-16 17:45:39 EST
Created attachment 145750 [details]
Log file from failing configuration
Comment 2 Bryan Christ 2007-01-16 17:47:09 EST
Created attachment 145751 [details]
The working xorg.conf file (single head)
Comment 3 Bryan Christ 2007-01-16 17:47:59 EST
Created attachment 145752 [details]
The broken xorg.conf file generated by system-config-display (dual head)
Comment 4 Bryan Christ 2007-02-22 12:16:12 EST
any updates on this?
Comment 5 Bryan Christ 2007-09-25 12:00:36 EDT
Is this something I should be reporting to Xorg instead?
Comment 6 Bryan Christ 2008-01-16 16:26:41 EST
I tested a _boat load_ of PCI ATI cards on Fedora 8 today (also a PCI-E card),
and not a single card will work in multi-head configuration.  Some
configurations were ATI with ATI while others were NVidia and ATI.
Comment 7 Bryan Christ 2008-04-04 12:00:59 EDT
Adam,

Any chance of this getting fixed?  The bug is over a year old.
Comment 8 Bryan Christ 2008-05-06 16:00:56 EDT
Adam,

After reading up on Randr 1.2, I believe I am experiencing a bug/limitation of
version 1.2 since I am trying to use the two drivers that have migrated to
randr.  As best I can tell, the old "Xinerama" dual-head style support is not
working correctly in 1.2.  So the question would be, will this be fixed in 1.3
and when would Fedora adopt it?
Comment 9 Bug Zapper 2008-05-14 08:06:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bryan Christ 2008-05-15 12:09:57 EDT
Please move this to version 9.  I retested with Fedora 9.  Although X no longer
fails to start, it is impossible to enable dual-head with the utility
system-config-display because the pull-down to specify the second video card
contains no entries.  I retested two configurations:

(Onboard video is Radeon)

Onboard + rage 128 PCI
Onborad + NVidia tnt2 PCI
Comment 11 Bug Zapper 2008-06-16 21:15:53 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Bryan Christ 2008-06-17 10:04:54 EDT
Adam,

Why is this marked WNF?
Comment 13 Bryan Christ 2008-06-17 10:06:08 EDT
Please move this to F9 and reopen.
Comment 14 Peter van Egdom 2008-06-18 16:50:18 EDT
Reopening bug as per comment #13. Changing version from "7" to "9".
Comment 15 Bryan Christ 2008-07-18 15:00:43 EDT
Adam,

Will this be fixed in the 7.4 release?
Comment 16 Matěj Cepl 2009-02-08 12:51:54 EST
Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80c9bd1]
1: [0xe08420]
2: /usr/lib/xorg/modules/drivers/r128_drv.so(R128FreeScreen+0x2b) [0x20c61b]
3: /usr/bin/Xorg(xf86DeleteScreen+0x6e) [0x80c104e]
4: /usr/bin/Xorg(InitOutput+0x865) [0x80a1b55]
5: /usr/bin/Xorg(main+0x276) [0x806f856]
6: /lib/libc.so.6(__libc_start_main+0xdc) [0x811f2c]
7: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 17 Bug Zapper 2009-06-09 18:24:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bryan Christ 2009-06-10 10:20:17 EDT
This issue will not be resolved until xrandr supports multiple GPUs.  I suggest closing as WONTFIX.
Comment 19 Bug Zapper 2009-07-14 12:48:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.